unit Screen_Viboy;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ScadaBase, VisMachine, VisMchb, ExtCtrls, VisDltB,
  VisStatusShape, VisZDVH, VisZDVT, jpeg, SimpleLine, PolyLine, VisButton,
  Buttons, VisZDVC, VisZDVA, VisLabel, VisDynamicPict, VisMcha, VisNumericPanel;

type
  TScreen_ViboyForm = class(TForm)
    VisMchb13: TVisMchb;
    VisMchb23: TVisMchb;
    VisMchb68: TVisMchb;
    VisMchb90: TVisMchb;
    VisZDVA18: TVisZDVA;
    VisMchb22: TVisMchb;
    VisMchb78: TVisMchb;
    VisMchb92: TVisMchb;
    VisMchb69: TVisMchb;
    VisZDVA22: TVisZDVA;
    VisZDVA23: TVisZDVA;
    VisZDVA24: TVisZDVA;
    VisZDVA25: TVisZDVA;
    VisZDVA26: TVisZDVA;
    VisZDVA27: TVisZDVA;
    VisZDVA17: TVisZDVA;
    VisMchb7: TVisMchb;
    VisMchb9: TVisMchb;
    VisMchb2: TVisMchb;
    Shape1: TShape;
    Shape3: TShape;
    Shape5: TShape;
    Shape2: TShape;
    SimpleLine3: TSimpleLine;
    SimpleLine5: TSimpleLine;
    SimpleLine6: TSimpleLine;
    SimpleLine7: TSimpleLine;
    SimpleLine9: TSimpleLine;
    SimpleLine12: TSimpleLine;
    SimpleLine13: TSimpleLine;
    VisMchb1: TVisMchb;
    VisMchb3: TVisMchb;
    SimpleLine14: TSimpleLine;
    SimpleLine15: TSimpleLine;
    SimpleLine16: TSimpleLine;
    SimpleLine17: TSimpleLine;
    VisMchb5: TVisMchb;
    VisMchb6: TVisMchb;
    SimpleLine11: TSimpleLine;
    SimpleLine18: TSimpleLine;
    SimpleLine19: TSimpleLine;
    SimpleLine20: TSimpleLine;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    SimpleLine32: TSimpleLine;
    VisMchb4: TVisMchb;
    VisMchb28: TVisMchb;
    VisMchb8: TVisMchb;
    SimpleLine1: TSimpleLine;
    VisMchb10: TVisMchb;
    VisMchb11: TVisMchb;
    VisMchb12: TVisMchb;
    procedure VisualDeviceClick(Sender: TObject);
    procedure TabSheetMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ScadaObjectClick(Sender: TObject; obj: TCustomScadaObject;
      var frm: TForm);
    procedure GeliosClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  Screen_ViboyForm: TScreen_ViboyForm;

implementation
uses
  Gelios_prop,
  TagStorage,
  RpVisualGlobal,
  RpVisualLegacyPanels,
  RpVisualUtils,
  RpVisualMain;


{$R *.dfm}

procedure TScreen_ViboyForm.VisualDeviceClick(Sender: TObject);
begin
  _VisualDeviceClick(sender);
end;

procedure TScreen_ViboyForm.TabSheetMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  _TabSheetMouseDown(Sender, Button, Shift, X, Y);
end;

procedure TScreen_ViboyForm.ScadaObjectClick(Sender: TObject;
  obj: TCustomScadaObject; var frm: TForm);
begin
  _ScadaObjectClick(sender, obj, frm);
end;


procedure TScreen_ViboyForm.GeliosClick(Sender: TObject);
begin
  _Gelios_Click(self, Sender, 1);
end;

procedure TScreen_ViboyForm.FormCreate(Sender: TObject);
begin
  align := alClient;
end;

end.
